Bug 1295193 - python-scikit-image contain problematic content
Summary: python-scikit-image contain problematic content
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-scikit-image (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-01-03 12:34 UTC by mejiko
Modified: 2016-01-10 22:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-10 22:41:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mejiko 2016-01-03 12:34:56 UTC
Hello.

python-scikit-image included non-free image. 
This is "Lena" (Lenna) image. (PNG, NPY, and NPZ file)

This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

Thanks.

Comment 1 mejiko 2016-01-04 08:48:06 UTC
I check source RPM (*.src.rpm) and source archive (E,g tar.gz, etc...).
Not Binary RPM (*.rpm).

Thanks.

Comment 2 mejiko 2016-01-04 10:11:31 UTC
Additional Information

File Path:

"scikit-image-0.11.3/skimage/data/lena_GRAY_U8.npy"
"scikit-image-0.11.3/skimage/data/lena_RGB_U8.npy"
"scikit-image-0.11.3/skimage/data/lenagray.png"
"scikit-image-0.11.3/skimage/data/lena_RGB_U8.npz"
"scikit-image-0.11.3/skimage/data/lena_GRAY_U8.npz"
"scikit-image-0.11.3/skimage/data/lena.png"


Why non-free ?

This file is copyrighted, and not fedora acceptable licensed content. 

Reference:
https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html

Comment 3 Sergio Pascual 2016-01-10 22:41:56 UTC
I love copyright... Fixed in rawhide

I have filled a bug upstream, they plan to actually remove the files in 2 releases (0.14)

https://github.com/scikit-image/scikit-image/issues/1855


Note You need to log in before you can comment on or make changes to this bug.